Subject: Re: bug#37482: Guix fails to build libreoffice

From: Ludovic Courtès <[email-masked]>
Date: Thu, 26 Sep 2019 22:04:50 +0200

Hello,

Jan <[email-masked]> skribis:

> Is there a way to skip building libreoffice, if the substitute isn't
> available?

There’s no way to skip it.  However, there are a couple of tricks:

  • The ‘--dry-run’ option always shows what would be built or
    downloaded, so you can run, say, ‘guix upgrade --dry-run’ and see if
    libreoffice is among the things that would be built.

  • You can do ‘guix package -u . --do-not-upgrade=libreoffice’ to
    upgrade everything but packages whose name contains “libreoffice”.

HTH!

Ludo’.